data_cfg:
  dataset_name: GaitLU-1M
  dataset_root: /your/path/to/GaitLU-1M
  dataset_partition: ./datasets/GaitLU-1M/GaitLU-1M.json
  num_workers: 1
  remove_no_gallery: false # Remove probe if no gallery for it

evaluator_cfg:
  enable_float16: true
  restore_ckpt_strict: true
  restore_hint: 150000
  save_name: GaitSSB_Pretrain
  sampler:
    batch_shuffle: false
    batch_size: 16
    sample_type: all_ordered # all indicates whole sequence used to test, while ordered means input sequence by its natural order; Other options:   fixed_unordered
    frames_all_limit: 720 # limit the number of sampled frames to prevent out of memory
  metric: euc # cos
  transform:
    - type: BaseSilTransform

loss_cfg:
  - loss_term_weight: 1.0
    scale: 16
    type: CrossEntropyLoss
    log_prefix: softmax1
    log_accuracy: true
  - loss_term_weight: 1.0
    scale: 16
    type: CrossEntropyLoss
    log_prefix: softmax2
    log_accuracy: true

model_cfg:
  model: GaitSSB_Pretrain
  backbone_cfg:
    type: ResNet9
    block: BasicBlock
    channels: # Layers configuration for automatically model construction
      - 64
      - 128
      - 256
      - 512
    layers:
      - 1
      - 1
      - 1
      - 1
    strides:
      - 1
      - 2
      - 2
      - 1
    maxpool: false
  parts_num: 31

optimizer_cfg:
  lr: 0.05
  momentum: 0.9
  solver: SGD
  weight_decay: 0.0005

scheduler_cfg:
  gamma: 0.1
  milestones: # Learning Rate Reduction at each milestones
    - 80000
    - 120000
  scheduler: MultiStepLR

trainer_cfg:
  enable_float16: true # half_percesion float for memory reduction and speedup
  fix_BN: false
  with_test: false
  log_iter: 100
  restore_ckpt_strict: true
  restore_hint: 0
  save_iter: 10000
  save_name: GaitSSB_Pretrain
  sync_BN: true
  total_iter: 150000
  sampler:
    batch_shuffle: true
    batch_size:
      - 8  # TripletSampler, batch_size[0] indicates Number of Identity
      - 64 # batch_size[1] indicates Samples sequqnce for each Identity
    frames_num_fixed: 16 # fixed frames number for training
    sample_type: fixed_ordered # fixed control input frames number, unordered for controlling order of input tensor; Other options: unfixed_ordered or all_ordered
    frames_skip_num: 4
    type: BilateralSampler
  transform:
    - type: DA4GaitSSB
      cutting: 0
